Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JLabel.AccessibleJLabel

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--java.awt.Component.AccessibleAWTComponent
                  |
                  +--java.awt.Container.AccessibleAWTContainer
                        |
                        +--javax.swing.JComponent.AccessibleJComponent
                              |
                              +--javax.swing.JLabel.AccessibleJLabel

All Implemented Interfaces:
  AccessibleComponent, AccessibleText, Serializable

Enclosing class:
  JLabel

protected class JLabel.AccessibleJLabel
extends JComponent.AccessibleJComponent
implements AccessibleText

The class used to obtain the accessible role for this object.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JComponent.AccessibleJComponent
`JComponent.AccessibleJComponent.AccessibleContainerHandler, JComponent.AccessibleJComponent.AccessibleFocusHandler`

Inner classes inherited from class java.awt.Container.AccessibleAWTContainer
`Container.AccessibleAWTContainer.AccessibleContainerHandler`

Inner classes inherited from class java.awt.Component.AccessibleAWTComponent
`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

Fields inherited from class javax.swing.JComponent.AccessibleJComponent
`accessibleContainerHandler, accessibleFocusHandler`

Fields inherited from class java.awt.Component.AccessibleAWTComponent
`accessibleAWTComponentHandler, accessibleAWTFocusHandler`

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Fields inherited from interface javax.accessibility.AccessibleText
`CHARACTER, SENTENCE, WORD`

Constructor Summary
`protected` | `JLabel.AccessibleJLabel()`

Method Summary
`AccessibleIcon[]` | `getAccessibleIcon()` Get the AccessibleIcons associated with this object if one or more exist.
`String` | `getAccessibleName()` Get the accessible name of this object.
`AccessibleRelationSet` | `getAccessibleRelationSet()` Get the AccessibleRelationSet associated with this object if one exists.
`AccessibleRole` | `getAccessibleRole()` Get the role of this object.
`AccessibleText` | `getAccessibleText()` Gets the AccessibleText associated with this object presently editable text on the display.
`String` | `getAfterIndex(int part, int index)` Returns the String after a given index.
`String` | `getAtIndex(int part, int index)` Returns the String at a given index.
`String` | `getBeforeIndex(int part, int index)` Returns the String before a given index.
`int` | `getCaretPosition()` Return the zero-based offset of the caret.
`AttributeSet` | `getCharacterAttribute(int i)` Return the AttributeSet for a given character at a given index
`Rectangle` | `getCharacterBounds(int i)` Determine the bounding box of the character at the given index into the string.
`int` | `getCharCount()` Return the number of characters (valid indicies)
`int` | `getIndexAtPoint(Point p)` Given a point in local coordinates, return the zero-based index of the character under that Point.
`String` | `getSelectedText()` Returns the portion of the text that is selected.
`int` | `getSelectionEnd()` Returns the end offset within the selected text.
`int` | `getSelectionStart()` Returns the start offset within the selected text.

Methods inherited from class javax.swing.JComponent.AccessibleJComponent
`addPropertyChangeListener, getAccessibleChild, getAccessibleChildrenCount, getAccessibleDescription, getAccessibleStateSet, getBorderTitle, removePropertyChangeListener`

Methods inherited from class java.awt.Container.AccessibleAWTContainer
`getAccessibleAt`

Methods inherited from class java.awt.Component.AccessibleAWTComponent
`addFocusListener, contains, getAccessibleComponent, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, getAccessibleAction, getAccessibleSelection, getAccessibleTable, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JLabel.AccessibleJLabel

    protected JLabel.AccessibleJLabel()

Method Detail

### getAccessibleName

    public String getAccessibleName()

  Get the accessible name of this object.
  Overrides:
    `getAccessibleName` in class `JComponent.AccessibleJComponent`
  Returns:
    the localized name of the object -- can be null if this object does not have a name
  See Also:
    `AccessibleContext.setAccessibleName(java.lang.String)`

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Get the role of this object.
  Overrides:
    `getAccessibleRole` in class `JComponent.AccessibleJComponent`
  Returns:
    an instance of AccessibleRole describing the role of the object
  See Also:
    `AccessibleRole`

### getAccessibleIcon

    public AccessibleIcon[] getAccessibleIcon()

  Get the AccessibleIcons associated with this object if one or more exist. Otherwise return null.
  Overrides:
    `getAccessibleIcon` in class `AccessibleContext`
  Following copied from class: `javax.accessibility.AccessibleContext`
  Returns:
    an array of AccessibleIcon if supported by object; otherwise return null
  See Also:
    `AccessibleIcon`

### getAccessibleRelationSet

    public AccessibleRelationSet getAccessibleRelationSet()

  Get the AccessibleRelationSet associated with this object if one exists. Otherwise return null.
  Overrides:
    `getAccessibleRelationSet` in class `AccessibleContext`
  See Also:
    `AccessibleRelation`

### getAccessibleText

    public AccessibleText getAccessibleText()

  Description copied from class: `AccessibleContext`
  Gets the AccessibleText associated with this object presently editable text on the display.
  Overrides:
    `getAccessibleText` in class `AccessibleContext`
  Following copied from class: `javax.accessibility.AccessibleContext`
  Returns:
    AccessibleText if supported by object; else return null
  See Also:
    `AccessibleText`

### getIndexAtPoint

    public int getIndexAtPoint(Point p)

  Given a point in local coordinates, return the zero-based index of the character under that Point. If the point is invalid, this method returns -1.
  Specified by:
    `getIndexAtPoint` in interface `AccessibleText`
  Parameters:
    `p` - the Point in local coordinates
  Returns:
    the zero-based index of the character under Point p; if Point is invalid returns -1.

### getCharacterBounds

    public Rectangle getCharacterBounds(int i)

  Determine the bounding box of the character at the given index into the string. The bounds are returned in local coordinates. If the index is invalid an empty rectangle is returned.
  Specified by:
    `getCharacterBounds` in interface `AccessibleText`
  Parameters:
    `i` - the index into the String
  Returns:
    the screen coordinates of the character's the bounding box, if index is invalid returns an empty rectangle.

### getCharCount

    public int getCharCount()

  Return the number of characters (valid indicies)
  Specified by:
    `getCharCount` in interface `AccessibleText`
  Returns:
    the number of characters

### getCaretPosition

    public int getCaretPosition()

  Return the zero-based offset of the caret. Note: That to the right of the caret will have the same index value as the offset (the caret is between two characters).
  Specified by:
    `getCaretPosition` in interface `AccessibleText`
  Returns:
    the zero-based offset of the caret.

### getAtIndex

    public String getAtIndex(int part,
                             int index)

  Returns the String at a given index.
  Specified by:
    `getAtIndex` in interface `AccessibleText`
  Parameters:
    `part` - the AccessibleText.CHARACTER, AccessibleText.WORD, or AccessibleText.SENTENCE to retrieve
    `index` - an index within the text >= 0
  Returns:
    the letter, word, or sentence, null for an invalid index or part

### getAfterIndex

    public String getAfterIndex(int part,
                                int index)

  Returns the String after a given index.
  Specified by:
    `getAfterIndex` in interface `AccessibleText`
  Parameters:
    `part` - the AccessibleText.CHARACTER, AccessibleText.WORD, or AccessibleText.SENTENCE to retrieve
    `index` - an index within the text >= 0
  Returns:
    the letter, word, or sentence, null for an invalid index or part

### getBeforeIndex

    public String getBeforeIndex(int part,
                                 int index)

  Returns the String before a given index.
  Specified by:
    `getBeforeIndex` in interface `AccessibleText`
  Parameters:
    `part` - the AccessibleText.CHARACTER, AccessibleText.WORD, or AccessibleText.SENTENCE to retrieve
    `index` - an index within the text >= 0
  Returns:
    the letter, word, or sentence, null for an invalid index or part

### getCharacterAttribute

    public AttributeSet getCharacterAttribute(int i)

  Return the AttributeSet for a given character at a given index
  Specified by:
    `getCharacterAttribute` in interface `AccessibleText`
  Parameters:
    `i` - the zero-based index into the text
  Returns:
    the AttributeSet of the character

### getSelectionStart

    public int getSelectionStart()

  Returns the start offset within the selected text. If there is no selection, but there is a caret, the start and end offsets will be the same.
  Specified by:
    `getSelectionStart` in interface `AccessibleText`
  Returns:
    the index into the text of the start of the selection

### getSelectionEnd

    public int getSelectionEnd()

  Returns the end offset within the selected text. If there is no selection, but there is a caret, the start and end offsets will be the same.
  Specified by:
    `getSelectionEnd` in interface `AccessibleText`
  Returns:
    the index into teh text of the end of the selection

### getSelectedText

    public String getSelectedText()

  Returns the portion of the text that is selected.
  Specified by:
    `getSelectedText` in interface `AccessibleText`
  Returns:
    the String portion of the text that is selected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.